Subject: Re: bug#46739: Python mode vs. whitespace

From: Stefan Kangas <[email-masked]>
Date: Thu, 25 Feb 2021 19:00:24 -0600

積丹尼 Dan Jacobson <[email-masked]> writes:

> $ emacs file.py
>
>     p=1
>     p= 2
>     p = 3
>     p =4
>
> I sure wish TAB (indent-for-tab-command) would make up its mind about
> which one of these is best, and not throw up its hands and not deal with
> it at all. "Even if they are all valid."
> Of course 1 and 3 are better, and 3 is best.
> But there could be a variable to set, for users who like 1.

I don't think I understand.  What is the recipe for reproducing this
bug?  What do you see, and what do you expect to see?  Which version of
Emacs are you using?